package com.unitesk.requality.eclipse.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.ToolItem;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWindow;

import com.unitesk.requality.eclipse.Activator;
import com.unitesk.requality.eclipse.ui.RequalityLCNF;

public class ChangeRequalityLinksExplorerDirection extends AbstractHandler {
    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
    	RequalityLCNF.toggleReferenceDirection();
    	org.eclipse.swt.widgets.Event e = (org.eclipse.swt.widgets.Event)(event.getTrigger());
    	ToolItem ti = ((ToolItem)e.widget);
    	switch(RequalityLCNF.getReferenceDirection()){
    		case 1:{
    			ti.setImage(Activator.getImageDescriptor("/icons/downarrow.png").createImage());
    		}break;
    		case 2:{
    			ti.setImage(Activator.getImageDescriptor("/icons/uparrow.png").createImage());
    		}break;
    		case 3:{
    			ti.setImage(Activator.getImageDescriptor("/icons/biarrow.png").createImage());
    		}break;
    	}
		return true;
    }
    @Override
    public boolean isEnabled() {
    	return true;
    }
}
