package com.unitesk.requality.eclipse.handlers;

import java.util.List;

import org.eclipse.core.expressions.Expression;
import org.eclipse.jface.action.MenuManager;
import org.eclipse.ui.menus.ExtensionContributionFactory;
import org.eclipse.ui.menus.IContributionRoot;
import org.eclipse.ui.services.IServiceLocator;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.eclipse.TranserredStatusSubMenu;
import com.unitesk.requality.eclipse.ui.cnf.RequalityCNF;

public class TransferedStatusGroup extends ExtensionContributionFactory {

	public TransferedStatusGroup() {
	}

	@Override
	public void createContributionItems(IServiceLocator serviceLocator,
			IContributionRoot additions) {
		List<TreeNode> nodes = RequalityCNF.getSelectedNodes();
		if(nodes != null)
			if(TranserredStatusSubMenu.someElementsTranferedFilter.select(nodes).size()>0)
				{
					MenuManager mm = new MenuManager("Change transferred status", "com.unitesk.requality.ChangeTransStatus");
					mm.add(new TranserredStatusSubMenu());
					additions.addContributionItem(mm, Expression.TRUE);
				}
	}

}
