package com.unitesk.requality.marker;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.viewers.IDecoration;
import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.ILightweightLabelDecorator;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.eclipse.Activator;

public class VirtualityDecorator implements ILightweightLabelDecorator{

	public VirtualityDecorator() {
		super();
	}
	@Override
    public void addListener(ILabelProviderListener listener) {
    }

    @Override
    public void dispose() {
    }
    private void addOverlay(IDecoration decoration, int pos){
        ImageDescriptor id = Activator.getImageDescriptor(
                "icons/overlays/virtual.gif");
        decoration.addOverlay(id, pos);
    }
    @Override
    public void decorate(Object element, IDecoration decoration) {
    	try{
    		TreeNode node = (TreeNode) element;
    		if(node.isVirtual()){
    			addOverlay(decoration,  IDecoration.BOTTOM_LEFT);
    		}
    	}catch(Exception e){
    		e.printStackTrace();
    	}
    }

    @Override
    public void removeListener(ILabelProviderListener listener) {
    }

    @Override
    public boolean isLabelProperty(Object element, String property) {
        return true;
    }
}